Arch WändeZusammenführen

From FreeCAD Documentation
Revision as of 21:44, 6 February 2019 by Le Loup (talk | contribs) (Created page with "Das Wände zusammenführen-Werkzeug verschmilzt zwei oder mehr ausgewählte Wände.")

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arch MergeWalls

Menüeintrag
Arch → Dienstprogramme → Wände zusammenfügen
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch Wand

Beschreibung

Das Wände zusammenführen-Werkzeug verschmilzt zwei oder mehr ausgewählte Wände.

Anwendung

  1. Select two or more walls.
  2. Go to the menu Arch → Utilities → Merge Walls.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])